%global stackname catkin
%global gitrev 3ac1872
Name:           python-catkin
Version:        0.5.58
Release:        1.git%{gitrev}%{?dist}
Summary:        Official build system of ROS

License:        BSD
URL:            http://ros.org/doc/fuerte/api/catkin/html/
#wget --content-disposition https://github.com/ros/catkin/tarball/0.5.58
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
# Moves /usr/etc to /etc
Patch0:         catkin-0.5.58-notdebian.patch
Patch1:         catkin-0.5.58-installspace.patch
Patch2:         catkin-0.5.58-installpaths.patch
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  python-argparse
BuildRequires:  python-catkin_pkg
BuildRequires:  python-empy
BuildRequires:  python-nose
BuildRequires:  python-rospkg
BuildRequires:  python-setuptools-devel
BuildRequires:  python-yaml

Requires:  cmake
Requires:  gtest
Requires:  python-argparse
Requires:  python-catkin-pkg
Requires:  python-empy
Requires:  python-nose
Requires:  python-rospkg
Requires:  python-setuptools-devel
Requires:  python-yaml
Requires:  ros-release

%description
Catkin is the official build system of ROS and the successor to the original 
ROS build system, rosbuild.  catkin uses the cmake build system for the 
actual build, and adds some features to cmake using cmake macros and python 
scripts. 

%prep
%setup -q -n ros-%{stackname}-%{gitrev}
%patch0 -p0 -b .notdebian
%patch1 -p0 -b .installspace
%patch2 -p0 -b .installpaths


%build
mkdir build
pushd build
%cmake .. 
make

%install
rm -rf $RPM_BUILD_ROOT
export PYTHONPATH=$(pwd)/python:$PYTHONPATH
DESTDIR=$RPM_BUILD_ROOT make -C build install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}

rm -rf $RPM_BUILD_ROOT%{_datadir}/eigen

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/catkin.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{stackname}/profile.d
#mv $RPM_BUILD_ROOT%{_usr}/etc/%{stackname}/profile.d/* $RPM_BUILD_ROOT/etc/%{stackname}/profile.d

%files
%doc README.rst
%dir %{_sysconfdir}/catkin/
%dir %{_sysconfdir}/catkin/profile.d/
%{_datadir}/%{stackname}
%{_datadir}/ros/cmake/*.cmake
%{_bindir}/*
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info

%changelog
* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 0.5.22-1.git3ac1872
- Update to release 0.5.22

* Sun Oct 28 2012 Rich Mattes <richmattes@gmail.com> - 0.4.4-2.git3c6beb1
- Use ros-release macros
- Fix directory ownership issues

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.4.4-1.git3c6beb1
- Initial package
